char *Imod_help_text[] = {
"3dmod(1)                                                              3dmod(1)\n",
"\n",
"\n",
"\n",
"NAME\n",
"       3dmod - Make a model from a 3-D image stack.\n",
"\n",
"SYNOPSIS\n",
"       3dmod [options] [image filenames]  [model filename]\n",
"\n",
"DESCRIPTION\n",
"       3dmod is typically invoked with one image file, but multiple image\n",
"       filenames can also be given.  The model filename is optional; if 3dmod\n",
"       is called without a model file it will create a new model.  The user\n",
"       can load new model files using a menu selection once 3dmod is running.\n",
"       If the model file does not already exist, 3dmod will create a new model\n",
"       under that name.  The image files may also be omitted, in which case\n",
"       3dmod will draw the model on top of blank images.  A file containing a\n",
"       list of image files can be used in place of the image file names on the\n",
"       command line.  If multiple files of different sizes are loaded, then\n",
"       the size of the display in each dimension will be limited to the mini-\n",
"       mum size of the various files.  If 3dmod is invoked with options but no\n",
"       filenames, then a dialog window will open to allow selection of an\n",
"       image file.  If 3dmod is invoked with no options or filenames, or with\n",
"       the -O option, then a startup dialog will open to allow options to be\n",
"       set.\n",
"\n",
"       The model must be in the IMOD model format.  Images can be in the MRC\n",
"       image format; in the TIFF format, if the appropriate TIFF library is\n",
"       available; in any of the formats supported by the Qt image-reading\n",
"       function, which include JPEG, PNG, PPM, and BMP; or in a raw format\n",
"       where data are packed sequentially as in MRC files.  Some kinds of raw-\n",
"       type files will be recognized automatically and and treated like MRC\n",
"       files.  These include Hegerl’s EM format, Winkler’s FFF format, PIF\n",
"       files produced by Bsoft, and DigitalMicrograph version 3 files.  MRC\n",
"       files of almost any mode can be read in: byte, 16-bit integer, real,\n",
"       complex real, complex integer, or color (RGB).  TIFF files may be byte,\n",
"       16-bit integer, or color, where the color can be either 24-bit (RGB) or\n",
"       8-bit using an embedded color map.  TIFF files may be organized in\n",
"       strips or in tiles, and files with various kinds of compression can be\n",
"       read, depending on the capabilities of the libraries on the system.\n",
"       Raw files can be read if their dimensions, data type, and header size\n",
"       are defined.  This information can be provided with the options -r, -t,\n",
"       and -H or through a dialog box that is brought up when a file is\n",
"       encountered that cannot be read by other means.\n",
"\n",
"       When multiple files are read in, they usually do not need to be the\n",
"       same mode or even the same format.  The exceptions are that if any file\n",
"       is an RGB file, all files must be, and if any file has a colormap, all\n",
"       files must.  Images are loaded into an image cache under certain cir-\n",
"       cumstances: whenever more than one file is specified, when montaged\n",
"       data are loaded, or when you enter the -C option to limit the size of\n",
"       the cache.  By default, the cache will be fully loaded upon program\n",
"       startup and the program will behave the same as with regular data load-\n",
"       ing.  However, if you limit the size of the cache, images are loaded\n",
"       only when needed.  This has various implications that are mentioned\n",
"       below.  Starting a movie through the images will eventually load as\n",
"       much data as will fit into the cache.  In addition, there is a dialog\n",
"       box to fill the cache in various ways, available through the Edit-\n",
"       Image-Cache Filler menu entry.  Several other restrictions on image\n",
"       files exist.  If any files other than MRC-type (MRC or raw) are loaded\n",
"       and the cache is used, the image volume cannot be flipped (Y and Z\n",
"       exchanged) unless it is fully loaded into the cache.  The Pixel View\n",
"       window, high-resolution mode in the Graph window, and the f and F hot\n",
"       keys for finding pixel values will all give zeros for a non-MRC type\n",
"       file.  If RGB files are loaded, only the Zap and Model View windows can\n",
"       be opened.\n",
"\n",
"       Two windows will open upon startup: the Information Window and an image\n",
"       window.  The Information Window is the main control window; it has a\n",
"       menu bar and has indicators that give information about the selected\n",
"       model point and the selected graphics voxel.  The bottom of the infor-\n",
"       mation window also has a status box that shows the progress of certain\n",
"       operations while using 3dmod.  While the image is loading, the Informa-\n",
"       tion Window will report the status of the image load.  Selecting the\n",
"       Quit menu item from the File menu will cancel the image load.  If the\n",
"       image cache feature is used, the image window will open up after the\n",
"       first image section is loaded; otherwise, the image window won’t open\n",
"       until the entire image has been loaded.\n",
"\n",
"       The ZaP Window is the default image display window used by 3dmod.  It\n",
"       allows one to view an image at any magnification and to pan the image\n",
"       around inside a resizable window.  Most manual model editing is done\n",
"       within the ZaP Window.\n",
"\n",
"       Additional windows that may be opened via menu selection are the\n",
"       Slicer, XYZ, Tumbler, Graph, Pixel View, Locator, and Model View win-\n",
"       dows.\n",
"          The Slicer Window allows one to view slices through the 3-D image\n",
"       data.  If the image cache is turned on, only images in the cache will\n",
"       be displayed in views that contain data from multiple Z sections.\n",
"          The XYZ Image Window displays slices of the 3-D image in planes per-\n",
"       pendicular to the X,Y and Z axis.\n",
"          The Tumbler Window allows one to view a small projected view of the\n",
"       area around the current point.\n",
"          The Graph Window graphs intensity along a given axis or along a\n",
"       given contour.\n",
"          The Pixel View Window shows the actual pixel values from the image\n",
"       file around a given point.\n",
"          The Locator Window shows the whole image area and a box that allows\n",
"       you to see and change the subarea shown in the ZaP window.\n",
"          The Model View Window views the model in a 3D rendering while it is\n",
"       being built.\n",
"\n",
"       These windows are described below.  However, see the on-line help\n",
"       available from each window (as well as from most dialog boxes) for a\n",
"       comprehensive description of all of the available features.\n",
"\n",
"\n",
"   Options\n",
"       3dmod will accept some Qt options (such as -style) along with the fol-\n",
"       lowing options:\n",
"\n",
"       -x <min,max>\n",
"       -y <min,max>\n",
"       -z <min[,max]>\n",
"              The -x, -y and -z options can be used to load in a sub-area of\n",
"              the original image.  The offsets are saved in the model so if a\n",
"              different area is loaded the model is automatically transformed\n",
"              to match the new sub area.\n",
"\n",
"       -B <value>\n",
"              Bin images by the given amount in all three dimensions.  For\n",
"              binning by 2, 3dmod averages 8 pixels to produce one display\n",
"              pixel.  Models built on unbinned images will be displayed prop-\n",
"              erly on binned images and, when saved again, will display prop-\n",
"              erly on unbinned images again.  RGB images and multiple single\n",
"              image files being displayed as sections may not be binned.\n",
"\n",
"       -b <nxy[,nz]>\n",
"              Bin images by nxy in X and Y and by nz in Z.  Omit nz for no\n",
"              binning in Z.\n",
"\n",
"       -s <min,max>\n",
"              The -s option will scale image intensities linearly so that the\n",
"              min and max values will be displayed as black (0) and white\n",
"              (255) on the screen.  Without this option, intensities are\n",
"              scaled between the minimum and maximum intensities in the image\n",
"              file.  Images can be rescaled after 3dmod is running using the\n",
"              menu entry Edit-Image-Reload.  If raw image files are being\n",
"              read, entering this option will set the scaling limits for these\n",
"              files and prevent them from being scanned for their minimum and\n",
"              maximum values.\n",
"\n",
"       -xyz   This option causes the default image window to be the XYZ window\n",
"              instead of the ZaP window.\n",
"\n",
"       -S     This option causes a slicer window instead of the ZaP window to\n",
"              be opened when the program starts.\n",
"\n",
"       -V     This option causes a model view window instead of the ZaP window\n",
"              to be opened when the program starts.\n",
"\n",
"       -Z     This option causes a ZaP window to be opened even if one of\n",
"              -xyz, -S, or -V is entered.  These 4 options can all be used\n",
"              together to open a selected set of windows.\n",
"\n",
"       -Y     This option causes the image data to be flipped after it has\n",
"              been loaded.  This allows one to model image planes that are\n",
"              normal to the Y-axis.  The default is to model planes normal to\n",
"              the Z-axis.  It is possible to flip back and forth between these\n",
"              two modeling orientations using the Edit Image menu item Flip.\n",
"              Certain cached data can not be flipped unless they are entirely\n",
"              loaded into memory: TIFF files, montaged images, images loaded\n",
"              with different binning in Z than in X and Y, and multiple sin-\n",
"              gle-image files.\n",
"\n",
"       -h -help\n",
"              Print some quick help for 3dmod’s command line options to the\n",
"              terminal.\n",
"\n",
"       -O     Open the startup dialog box for setting program options and\n",
"              selecting files.  The box will be filled in with any other argu-\n",
"              ments included in the command line.\n",
"\n",
"       -C <value>\n",
"              The -C option controls the image cache used by 3dmod.  By\n",
"              default, 3dmod will try to load the entire image into an ordered\n",
"              array in memory.  This option can force a given number of images\n",
"              to be loaded into a more flexible memory cache.  Alternatively,\n",
"              one can limit the size of the cache in megabytes by entering a\n",
"              value with m or M on the end.  For example, -C 200M will limit\n",
"              the cache to 200 megabytes.  The reason for using this option is\n",
"              either to decrease start up time or to view large data sets that\n",
"              can’t fit into main memory.  This features works best with the\n",
"              ZaP Window, which always loads the image that it needs into the\n",
"              cache.  Other image windows will only be able to access image\n",
"              data that are already within the cache.  As a special case,\n",
"              entering -C 0 will set up a cache that is large enough to hold\n",
"              all image data but will load images only when needed.\n",
"\n",
"       -F     Fill the image cache upon program startup, before displaying any\n",
"              images.  This option is useful if you will be using the Slicer\n",
"              or XYZ windows, to avoid seeing incomplete slices.  This flag is\n",
"              not needed unless you define the size of the cache with the -C\n",
"              option.\n",
"\n",
"       -p <filename>\n",
"              Load a file containing a piece list for the input image.  This\n",
"              allows one to montage image sections together or to view images\n",
"              that are either missing sections or have sections out of order.\n",
"              The piece list is an ASCII text file with the following format.\n",
"              There are as many lines as the input image has frames (the z\n",
"              dimension of the image file).  Each line contains three values\n",
"              <X> <Y> and <Z> which represent the starting location of each\n",
"              frame in the input image stack.  Using the piece list option\n",
"              will also turn on the image cache with a default size equal to\n",
"              the total number of image z-planes that contain data.  The image\n",
"              cache can’t be turned off, but the size can be changed with the\n",
"              -C option.\n",
"\n",
"       -P <nx,ny>\n",
"              Create an internal piece list to display images from the file in\n",
"              a montage of nx by ny pieces.  If an external piece list file is\n",
"              entered with the -p option, then this option is ignored; with\n",
"              this option, montage information in the file header is ignored.\n",
"\n",
"       -o <nx,ny>\n",
"              When creating an internal piece list with the -p option, set the\n",
"              overlap between pieces to nx in the X direction and ny in the Y\n",
"              direction.  Enter negative numbers to get space (gutters)\n",
"              between the pieces.\n",
"\n",
"       -r <nx,ny,nz>\n",
"              Set the size for raw image files to nx in X, ny in Y, and nz in\n",
"              Z.  This entry will be applied to all raw files and will prevent\n",
"              the Raw Image Description dialog from being brought up for any\n",
"              raw files.\n",
"\n",
"       -t <value>\n",
"              Specify the type of raw files using a value corresponding to an\n",
"              MRC mode: 0 for unsigned bytes, 1 for signed 16-bit integers, 2\n",
"              for 32-bit floating point, 4 for complex (pairs of floating\n",
"              point numbers), 6 for unsigned 16-bit integers, or 16 for color\n",
"              files stored as R-G-B triplets of bytes.\n",
"\n",
"       -H <value>\n",
"              Set the size of the header to be skipped, in bytes, for raw\n",
"              image files.\n",
"\n",
"       -w     Swap bytes when reading raw image files.\n",
"\n",
"       -f     Load file as individual frames, overriding montage information\n",
"              in the image file header.  It is possible for an image file to\n",
"              have piece coordinates stored in its header rather than in a\n",
"              separate piece list file.  3dmod will automatically load such a\n",
"              file as a montage, so this option is available to override this\n",
"              behavior and force loading as individual frames.\n",
"\n",
"       -m     This option overrides the model transformation behavior and\n",
"              causes the model to be loaded without any transformations.  This\n",
"              option is useful for loading an existing model onto a data stack\n",
"              after it has been flipped in Y and Z or after the pixel size or\n",
"              origin has been changed in the image file header.\n",
"\n",
"       -T     Load multiple single-image files as files at different times\n",
"              (the behavior before IMOD 3.2.3).  By default, such files will\n",
"              now become multiple sections in Z instead.\n",
"\n",
"       -M     Load Fourier transform files without mirroring the data around\n",
"              the origin.  By default, a complex mode input file whose X\n",
"              dimension is odd will be loaded with replication of the data on\n",
"              the left side of the Y axis, to make it easier to visualize.\n",
"              This option can be used override that behavior if it is inappro-\n",
"              priate for the input file or if there is not enough memory to\n",
"              show the redundant data.\n",
"\n",
"       -ci    Display images in color index mode using a color table, rather\n",
"              than in 24-bit color mode.  Color index mode only has 8 bits and\n",
"              works rather poorly under Qt.\n",
"\n",
"       -cm <file>\n",
"              Read a specification for the false color map used in 3dmod from\n",
"              a file.  This file can have one of two forms.  One form starts\n",
"              with a line with 256, then has 256 lines with red, green, and\n",
"              blue values from 0-255.  The other form starts with the number\n",
"              of lines to follow; then each following line has a red, green,\n",
"              and blue value (0-255) plus an arbitrary integer indicating the\n",
"              relative location of that value along the 256-color range.\n",
"              These location values must be in order.  If the colors being\n",
"              specified are to be equally spaced, the location values can sim-\n",
"              ply be sequential values.\n",
"\n",
"       -G     Display an RGB-mode MRC file in gray-scale rather than in color.\n",
"              If the list of files being loaded includes a color TIFF file,\n",
"              all files will be displayed in color regardless of this option.\n",
"\n",
"       -view -modv\n",
"              Either option will run 3dmod in model view mode, the same as\n",
"              using the command 3dmodv to start the program.  Only 3dmodv(1)\n",
"              options are allowed in this case.\n",
"\n",
"       -E <keys>\n",
"              Open the windows specified by the key letters: t for Object\n",
"              Type, l for Object Color, h for Model Header, o for Model Off-\n",
"              set, s for Surf/Cont/Point, v for Contour Move, c for Contour\n",
"              Copy, a for Auto Contour, b for Contour Break, j for contour\n",
"              Join, p for Image Process, r for Image Reload, f for Image Cache\n",
"              Filler, u for Tumbler, x for Pixel View, A for Slicer Angles, G\n",
"              for Fine Grain.  If the -V option is given, then model view dia-\n",
"              log boxes can also be opened with key letters the same as their\n",
"              hot keys (m, O, C, L, B, M, V, I), or with D for depth cue and S\n",
"              for stereo.\n",
"\n",
"       -W     Output the window ID of the 3dmod Information Window and do not\n",
"              put 3dmod in the background automatically.\n",
"\n",
"       -L     Listen for messages on standard input instead of the clipboard,\n",
"              and do not put 3dmod in the background automatically.\n",
"\n",
"       -D     Run in debug mode with diagnostic output and without becoming a\n",
"              background process.  Key letters can be added after the D (but\n",
"              with no intervening spaces) to turn on specific debugging out-\n",
"              put; e.g., u for undo, z for zap, c for control, k for\n",
"              keystrikes.\n",
"\n",
"\n",
"User Interface Features\n",
"       A large number of dialog boxes can be opened from the menus of the\n",
"       Information Window and the Model View Window.  Nearly all of these are\n",
"       tool windows that can be left open while doing other tasks in the pro-\n",
"       gram.  These tool windows pass hot keys on to image windows, so that\n",
"       one can use hot keys to perform actions in an image window without hav-\n",
"       ing to make that window have the keyboard focus.  Tool windows opened\n",
"       from the Information Window menu will pass keystrokes on to the most\n",
"       recently active image display window.  Tool windows opened from the\n",
"       Model View Window menu (i.e., 3dmodv dialog boxes) will pass keystrokes\n",
"       on to the Model View Window.\n",
"\n",
"       Preferences for some aspects of the appearance and behavior of 3dmod\n",
"       can be set and saved between sessions of the program, using the 3dmod\n",
"       Preferences dialog box available through the Edit-Options menu entry.\n",
"       Among other features, the font size and type and the style of the\n",
"       interface may be changed, the size and color of marker points can be\n",
"       adjusted, and custom zoom values can be defined.  On Unix systems,\n",
"       preferences are saved to the file $HOME/.qt/3dmodrc.  Only those prop-\n",
"       erties that the user has changed are saved to and restored from this\n",
"       file, while properties that have never been changed will be set to the\n",
"       current program defaults.\n",
"\n",
"       The 3dmod Preferences dialog also allows the function of the three\n",
"       mouse buttons to be remapped in any desired way.  Because of this flex-\n",
"       ibility, mouse functions are described here and in the help windows of\n",
"       3dmod in terms of the first, second, and third buttons.  By default,\n",
"       these correspond to the left, middle, and right buttons.\n",
"\n",
"       By default, the sliders in 3dmod are continuously active, or hot, which\n",
"       means that the program will attempt to update the display as a slider\n",
"       is dragged.  If the program can not keep up well enough, the continuous\n",
"       update can be stopped by pressing the Ctrl key while dragging the\n",
"       slider.  In the Preferences dialog, a different key can be selected to\n",
"       control this behavior, and the behavior can be inverted so that sliders\n",
"       are hot only when the control key is pressed.\n",
"\n",
"       Nearly all controls in 3dmod have tooltips that will appear when the\n",
"       mouse pointer is left over a control for about half a second.  These\n",
"       tooltips can be disabled in the Preferences dialog.\n",
"\n",
"       Snapshots can be taken of image and model view windows with hot keys.\n",
"       A TIFF snapshot can be taken with Ctrl-S.  Snapshots in other formats\n",
"       such as JPEG, PNG, and SGI RGB can be taken with Shift-S or Ctrl-Shift-\n",
"       S.  The format of these non-TIFF snapshots can be selected in the Pref-\n",
"       erences dialog.\n",
"\n",
"       The Escape key can be used to close all windows except the Information\n",
"       Window, or the 3dmodv window when running 3dmodv.\n",
"\n",
"\n",
"Information Window\n",
"       The Information Window is 3dmod’s main control window and it is open at\n",
"       all times while 3dmod is running.  All other windows can be opened and\n",
"       closed without restarting 3dmod.\n",
"\n",
"       Window Control Buttons\n",
"              The toolbutton with the pushpin can be used to keep the Informa-\n",
"              tion Window on top of all other windows, including windows from\n",
"              other programs.  The toolbutton with two up arrows can be used\n",
"              to raise all of the windows of the current 3dmod above windows\n",
"              from other programs.\n",
"\n",
"       Undo/Redo Buttons\n",
"              The toolbuttons with the backward and forward arrows can be used\n",
"              to undo modeling actions and to redo actions that were undone,\n",
"              respectively.  The traditional hot keys, Ctrl-Z and Ctrl-Y, can\n",
"              also be used for this purpose.  Virtually every model change can\n",
"              be undone.\n",
"\n",
"       The Model Selection Display Controls.\n",
"              The current Object, Contour and Point are displayed and can be\n",
"              changed using the arrow buttons or by typing numbers into the\n",
"              text boxes.  Models are a collection of objects, and each object\n",
"              has its own display color, drawing style and list of contours.\n",
"              Each contour in turn contains a list of points.  When drawing\n",
"              the current contour the beginning point is green, the end point\n",
"              is red and the current point is yellow.  One can also move\n",
"              between the current Object, Contour and Point using hot keys.\n",
"              p/o - Go to the next/previous Object.\n",
"              C/c - Go to the next/previous Contour.\n",
"              ]/[ - Go to the next/previous Point.\n",
"\n",
"       The Show Checkbox\n",
"              This checkbox controls whether the new current model point will\n",
"              be displayed in image windows when the object, contour, or point\n",
"              is changed using the spin boxes just described.  By default,\n",
"              image windows will show the current model point, changing sec-\n",
"              tion if necessary.  Turn off this checkbox to prevent this\n",
"              action.\n",
"\n",
"       The Image Position Display Controls.\n",
"              The current image size and position is displayed, and the cur-\n",
"              rent image point can be changed using the arrow buttons or the\n",
"              text boxes.  The arrow keys on the keyboard can also be used to\n",
"              move the current image point. The current Z coordinate can be\n",
"              moved with the Page Up and Page Down keys.\n",
"\n",
"       Image level Sliders.\n",
"              The Black and White sliders can be used to adjust the contrast\n",
"              and brightness of the input image for all the image windows.  A\n",
"              linear intensity ramp is made from the black level to the white\n",
"              level.  The Function keys also can be used to control the image\n",
"              level, with changes having a default step size of 3.\n",
"              F1, F2  Controls the Black slider level.\n",
"              F3, F4  Controls the White slider level.\n",
"              F5, F6  Controls the image contrast by moving the\n",
"                        Black and White sliders either apart or closer.\n",
"              F7, F8  Controls the image brightness by moving the\n",
"                        Black and White sliders in tandem.\n",
"              F9      Select Color map ramp # 1.\n",
"              F10     Cycle through Color map ramps, 1 - 2 - 3 - 4 - 1.\n",
"              F11     Toggle the reversed colormap.\n",
"              F12     Toggle False Color.\n",
"              A       Autocontrast (see\n",
"              Auto Button\n",
"              below.)\n",
"\n",
"       The Float Checkbox.\n",
"              When this box is checked, 3dmod will attempt to maintain compa-\n",
"              rable image contrast when going from one section to the next.\n",
"              It automatically adjusts the sliders when one changes sections,\n",
"              based on the mean and standard deviation of image intensity in\n",
"              the sections.\n",
"\n",
"       The Auto Button\n",
"              This button is for setting contrast automatically.  When you\n",
"              press it, the program will attempt to adjust the black and white\n",
"              sliders so that the displayed image has a defined mean and stan-\n",
"              dard deviation.  The settings for the target mean and standard\n",
"              deviation can be changed in the 3dmod Preferences dialog box,\n",
"              available from the Edit-Options menu entry.  Increase the target\n",
"              mean to make images brighter when you press the button, or\n",
"              reduce the standard deviation to make images have less contrast.\n",
"\n",
"       The Subarea Checkbox\n",
"              When this box is checked, both the float operation when going\n",
"              between sections and the autocontrast operation will be based\n",
"              only on the image area displayed in the most recently active Zap\n",
"              window.  If there is a rubber band in the active Zap window, the\n",
"              area inside the rubber band is used instead.  When this box is\n",
"              not checked, these operations are based on the entire section.\n",
"\n",
"\n",
"       The Mode Toggle Buttons.\n",
"              One can toggle between Movie mode and Model mode.  The model\n",
"              can’t be edited with keys and mouse buttons while in movie mode.\n",
"              When 3dmod first opens a new model it switches to movie mode.\n",
"\n",
"\n",
"The Menu bar\n",
"       Menu items for 3dmod are selected from the menu at the top of the\n",
"       information window, or at the top of the screen on a Macintosh.  Some\n",
"       menus have keyboard shortcuts (hot keys, shown in parentheses).  Menu\n",
"       entries with ... open a dialog box, control window, or display window.\n",
"\n",
"       File Menu\n",
"       New Model         Create a new model.\n",
"       Open Model...     Load a model from disk.\n",
"       Reload Model      Reload the current model from file.\n",
"       Save Model        Save model.  (s)\n",
"       Save Model as...  Save model with new name.\n",
"       Write Model as    Write model as Imod, wimp, NFF or Synu files.\n",
"       Memory to TIFF... Write the whole section of a raw color image\n",
"                           stored inside 3dmod to a TIFF file, in order\n",
"                           to turn a montaged image bigger than the\n",
"                           screen into a single large image.\n",
"       Quit              Quit 3dmod.\n",
"\n",
"       Edit Menu\n",
"       Model\n",
"          Header...   Set the model’s Z-Scale for viewing, its pixel\n",
"                         size, resolution (spacing between points during\n",
"                         contour drawing), and whether the model is drawn\n",
"                         or not.\n",
"          Offsets...  Offset the model data in X, Y and Z.\n",
"          Clean       Delete all objects that contain no points (i.e.,\n",
"                         that have no contours, or only contours with no\n",
"                         points).\n",
"\n",
"       Object\n",
"          New        Create a new object.  Opens Object Type dialog box.\n",
"          Delete     Delete current object, or all objects in which a\n",
"                        contour is selected\n",
"          Type...    Edit Object type.\n",
"          Color...   Open requester for changing object color.\n",
"          Move...    Move all contours from current object to another\n",
"                        object.\n",
"          Combine    Combine all objects in which a contour is selected\n",
"                        into one object and delete the other objects.\n",
"          Info       Calculate volume and surface area of current object.\n",
"          Clean      Delete empty contours in the current object.\n",
"          Break by Z Break every contour in the object at every change in\n",
"                        Z, creating as many contours as necessary so that\n",
"                        each lies in a single Z plane.  The program will\n",
"                        ask you to confirm the operation.\n",
"          Flatten    Flatten every contour in the object by replacing its\n",
"                        Z values with the mean Z of the contour, rounded\n",
"                        to the nearest integer.  The program will\n",
"                        ask you to confirm the operation.\n",
"\n",
"       Surface\n",
"          New       Create a new contour with a new surface number.  (N)\n",
"          Go To...  Select a different surface in the Surf/Cont/Point\n",
"                       window.\n",
"          Move...   Move contours in a surface to a different object or\n",
"                       a different surface using the Contour Move window.\n",
"          Delete    Delete the current surface, i.e. all contours with the\n",
"                       same surface number as current contour.\n",
"\n",
"       Contour\n",
"          New        Create a new contour.  (n)\n",
"          Delete     Deletes the current contour.  (D)\n",
"          Move...    Move current contour to a different object or\n",
"                       surface.\n",
"          Copy...    Copy contours to a different object, Z-level, or\n",
"                        time.\n",
"          Sort       Sort contours in the object by their Z values and by\n",
"                        their time values.\n",
"          Break...   Break contour into two contours.  Closed contours\n",
"                        can have two break points.\n",
"          Join...    Join two contours together.  Closed contours will be\n",
"                        joined at the nearest point; open contours will\n",
"                        be joined such that the joined contour will have\n",
"                        points up to the first selected point from the\n",
"                        first contour and from the second selected point\n",
"                        to the last point from the second contour.\n",
"          Break by Z Break a closed contour at every change in Z,\n",
"                        creating as many contours as necessary so that\n",
"                        each lies in a single Z plane.\n",
"          Fill In Z  For an open contour that traverses through Z, add\n",
"                        points by interpolation to fill in any gaps where\n",
"                        the contour skips one or more sections.\n",
"          Loopback   Add points to the end of a contour so that it loops\n",
"                        back from its current end to its start along the\n",
"                        same path.  Such a contour can be used to make a\n",
"                        complex cap over an elongated, oddly shaped\n",
"                        contour.\n",
"          Invert     Invert the order of points in the current contour.\n",
"          Info       Print area and/or length of contour.\n",
"          Auto...    Make new contours using threshold.\n",
"          Type...    Edit contour internal data, such as\n",
"                        surface #, time index and labels.\n",
"\n",
"       Point\n",
"          Delete        Delete Current point.  (Delete)\n",
"          Size...       Set size of individual points.\n",
"          Distance      Show distance between current and last model\n",
"                           points.\n",
"          Value         Show current voxel value from image file.\n",
"          Sort by Z     Sort points in a contour by Z value.\n",
"          Sort by dist  Sort points in a contour by interpoint distance.\n",
"\n",
"       Image\n",
"          Flip            Exchange Y and Z dimensions of the image data.\n",
"          Process...      Process images by filtering.\n",
"          Reload...       Open the image scale reload requester.\n",
"          Fill Cache      Fill the cache if there is one.\n",
"          Cache Filler... Open a dialog box to control cache filling and\n",
"                             select autofilling.\n",
"\n",
"       Movies...     Open window to control movie limits in X, Y, Z and\n",
"                        time.\n",
"       Fine Grain... Open window to define display properties of\n",
"                        individual points, contours, or surfaces.\n",
"       Angles...     Open window to save and restore angles and positions\n",
"                        of Slicer windows.\n",
"       Options...    Open 3dmod preferences dialog to personalize settings\n",
"\n",
"       Image Menu\n",
"          ZaP         Open a ZaP window.  (Z)\n",
"          XYZ         Open the XYZ window.\n",
"          Slicer      Open an image Slicer window.  (\\)\n",
"          Model View  Open a 3dmod model view window.  (v)\n",
"          Pixel View  Open window displaying pixel values.\n",
"          Graph       Open an image Graph window.  (G)\n",
"          Locator     Open a window to show the ZaP window subarea.\n",
"          Tumbler     Open a 3-D Tumbler window.\n",
"\n",
"       Special menu\n",
"       This menu provides access to plugins found by 3dmod when it starts, as\n",
"       well as internal modules that provide special features.  The latter\n",
"       include the Bead Fixer to assist with correcting models of fiducial\n",
"       markers for aligning tilt series, and the Line Tracker, which performs\n",
"       semi-automated modeling of linear features such as membranes.\n",
"\n",
"       Help Menu\n",
"       This menu provides help for controls used in 3dmod.  Topics include Man\n",
"       Page, Menus, and Hot Keys.\n",
"\n",
"\n",
"ZaP Window\n",
"       The ZaP window allows one to zoom and pan inside of a model window that\n",
"       shows image sections perpendicular to the Z-axis.  Multiple ZaP windows\n",
"       can be opened.\n",
"\n",
"       To Zoom press the - and = keys.  To pan, press the first mouse button\n",
"       and drag the mouse.  Alternatively, use the keyboard arrow keys: the\n",
"       ones on the numeric keypad in movie mode, or the set of 4 arrow keys in\n",
"       model mode.\n",
"\n",
"       There is a toolbar at the top of the ZaP window that controls addi-\n",
"       tional behavior.  Press the help button on the toolbar for help.  The\n",
"       toolbar may be detached from the window to get the maximum vertical\n",
"       extent of window area.\n",
"\n",
"       The mouse buttons are assigned different functions in movie and model\n",
"       modes.  The keyboard m key toggles between movie and model modes.\n",
"       Other sub modes can further change the mouse controls.\n",
"\n",
"       First mouse button\n",
"              One can drag the image in the ZaP Window by moving the mouse\n",
"              while holding down the first mouse button.  If the rubber band\n",
"              is on and the button is held down while the pointer is near the\n",
"              band, one can drag a corner or edge of the band to adjust its\n",
"              size.  When the button is clicked in movie mode, the current\n",
"              image position is selected.  In model mode, the nearest modeling\n",
"              point is selected and highlighted with a yellow circle.  If no\n",
"              points are in proximity to the cursor, then no model point is\n",
"              selected and just the current image point is set.  If the Ctrl\n",
"              key is held down in model mode, this button can be used to\n",
"              select multiple contours, which will be highlighted with a dis-\n",
"              tinct line thickness.  Clicking again on a selected contour des-\n",
"              elects it, and clicking without the Ctrl key cancels the multi-\n",
"              ple selection.\n",
"\n",
"       Second mouse button\n",
"              In movie mode, this button starts the movie through sections in\n",
"              the forward direction.  In model mode, this button creates a\n",
"              point after the current model point (or before, if the modeling\n",
"              direction is set with i or the toolbar button.)  Holding down\n",
"              the second mouse button will create additional points as the\n",
"              mouse moves.  If the rubber band is on and the button is held\n",
"              down while the pointer is near the band, one can drag the whole\n",
"              band to a new position.\n",
"\n",
"       Third mouse button\n",
"              In movie mode, this button starts the movie through sections in\n",
"              the reverse direction.  In model mode, the selected point is\n",
"              modified to be at the current location.  Holding down the third\n",
"              mouse button will cause additional points to be moved, until the\n",
"              end of the contour is reached.  If the Ctrl key is held down,\n",
"              then this mouse button can be used to delete points under the\n",
"              cursor.  Clicking the button will delete the point(s) at the\n",
"              current mouse position; holding the button down and moving the\n",
"              mouse will delete all of the points that the cursor sweeps over\n",
"              inthe current contour.\n",
"\n",
"\n",
"       Keyboard Controls\n",
"              Most controls that edit models are disabled in movie mode.  Key-\n",
"              pad keys work regardless of whether NumLock is on.\n",
"\n",
"                      Modeling and display control keys\n",
"                      ---------------------------------\n",
"              o  -  Go to previous object\n",
"              p  -  Go to next object\n",
"              ]  -  Go to previous point\n",
"              [  -  Go to next point\n",
"              C  -  Go to next contour\n",
"              c  -  Go to previous contour\n",
"              5  -  Go to previous contour in current surface\n",
"              6  -  Go to next contour in current surface\n",
"              7  -  Go to previous surface in current object\n",
"              8  -  Go to next surface in current object\n",
"              e  -  Unselect current point\n",
"              E  -  Unselect current contour\n",
"              {  -  Go to first point in contour\n",
"              }  -  Go to last point in contour\n",
"              n  -  Create a new contour\n",
"              N  -  Create a new contour with a new surface number\n",
"              0  -  Create a new object\n",
"              Delete - Delete current model point\n",
"              D  -  Delete current contour\n",
"              M  -  Move contour to selected object\n",
"              J  -  Join two selected contours\n",
"              Ctrl-Z - Undo a change in the model\n",
"              Ctrl-Y - Redo a change that was undone\n",
"              m  -  Toggle model edit mode and movie mode\n",
"              t  -  Toggle model drawing on/off\n",
"              T  -  Toggle current point marker on/off\n",
"              g  -  Toggle previous contour ghost draw mode\n",
"              s  -  Save Model File\n",
"              f  -  Print current pixel value in information window\n",
"              F  -  Find the maximum pixel within 10 pixels and report its value\n",
"              ,  -  Decrease movie speed\n",
"              -  -  Decrease Zoom\n",
"              =  -  Increase Zoom\n",
"              3  -  Start or stop a movie through time in the forward direction\n",
"              4  -  Start or stop a movie through time in the backward direction\n",
"              S  -  Snapshot image in window to file with primary non-TIFF\n",
"                       format\n",
"              Ctrl-S - Snapshot image in window to TIFF file\n",
"              Ctrl-Shift-S - Snapshot to second type of non-TIFF file\n",
"\n",
"                      Other keys active in the ZaP window only\n",
"                      ----------------------------------------\n",
"              Ctrl-A - Select all contours in current object on section or\n",
"                         within the rubber band\n",
"              b  -  Build a contour while in auto contour mode\n",
"              a  -  Advance to and fill next section when auto contouring\n",
"              u  -  Smooth a filled area when auto contouring\n",
"              i  -  Toggle the modeling direction\n",
"              Z  -  Toggle auto section advance on and off\n",
"              B  -  Toggle rubber band on and off\n",
"              I  -  Print information about window, image size, and offsets,\n",
"                       also bring the Information Window to the front\n",
"              R  -  Resize window to size of image or rubber band\n",
"              P  -  Activate moving current contour with first mouse button\n",
"              Keypad Ins - Add point(s) in model mode, like second mouse button\n",
"              Esc - Close ZaP window\n",
"\n",
"                      Keys to control position or move current viewing point\n",
"                      ------------------------------------------------------\n",
"              Page Up       -  Increase Z\n",
"              Page Down     -  Decrease Z\n",
"              Up Arrow      -  Increase Y\n",
"              Down Arrow    -  Decrease Y\n",
"              Right Arrow   -  Increase X\n",
"              Left Arrow    -  Decrease X\n",
"              End           -  Go to Z = 1\n",
"              Home          -  Go to Z = max\n",
"              Insert        -  Go to middle Z of stack\n",
"              1,2           -  Previous,Next Time Index\n",
"              !,@           -  Go to first or last time index, or to Start or\n",
"                                 End value for Time shown in Edit-Movies dialog\n",
"\n",
"              Keypad Arrows -  Move current model point in model mode,\n",
"                            -  Pan in ZaP window in movie mode.\n",
"              Arrows        -  Pan in ZaP window in model mode\n",
"\n",
"                      Window control keys\n",
"                      -----------------------------------------\n",
"              \\  -  Open Slicer Window\n",
"              v  -  Open Model View Window\n",
"              G  -  Open Graph window\n",
"              z  -  Open ZaP window\n",
"\n",
"\n",
"Slicer Window\n",
"       Multiple Slicer Windows can be opened.  Each Slicer Window shows a dif-\n",
"       ferent slice through a 3-D volume.  The Slicer window has two to four\n",
"       movable toolbars.  The large toolbar contains three sliders that are\n",
"       used to select the orientation of the slice by setting the angles of\n",
"       rotation of the data volume around the X, Y and Z axes.  A small dis-\n",
"       play next to the sliders gives a visual cue to the slice location.\n",
"       This toolbar also has two spin boxes, one to select the thickness of\n",
"       the slice being displayed, the other to select the thickness of model\n",
"       that will be projected onto the slice.  It also has a Help button to\n",
"       open up on-line help.\n",
"\n",
"       The narrow toolbar at the top of the Slicer has the following buttons,\n",
"       from left to right.\n",
"          The Up and Down arrows adjust the magnification in the slicer dis-\n",
"       play window.\n",
"          The text box shows the zoom and allows one to type in an arbitrary\n",
"       zoom factor.\n",
"          The checkerboard button toggles between nearest neighbor and slower,\n",
"       cubic interpolation.\n",
"          The Lock button will keep the Slicer from changing its current posi-\n",
"       tion when locked.\n",
"          The Centering button toggles between the default mode in which the\n",
"       window can be panned with the mouse, and a mode in which the current\n",
"       image point is kept at the center of the window (referred to as ’clas-\n",
"       sic’ mode).\n",
"          The Shift Lock (Sh) button toggles a mode in which mouse buttons and\n",
"       keypad keys can be used to rotate the volume as if the Shift key were\n",
"       held down.\n",
"          The IM/FFT button toggles between showing an image and an FFT of the\n",
"       image.\n",
"          The Show Slice button will draw where the slice intersects the X- Y-\n",
"       and Z-planes in the XYZ window, and the Z-plane in the ZaP window.\n",
"          The Contour button sets the angles so that the current contour is\n",
"       flat in the slice.\n",
"          The Z-Scale control determines whether the model’s Z-scale will be\n",
"       applied to stretch the volume in the Z dimension and compensate for\n",
"       thinning.\n",
"\n",
"       The orientation of the slice can also be adjusted by rotating the vol-\n",
"       ume relative to the current axes rather than the original axes.  With\n",
"       the Shift key held down (or with the Shift lock toolbar button on), the\n",
"       second mouse button will rotate the volume around an axis in the plane\n",
"       of the slice and perpendicular to the direction of mouse movement.  The\n",
"       third mouse button will rotate in the plane of the slice, around the\n",
"       center point.\n",
"\n",
"       One can model in the Slicer Window, using the first mouse button to\n",
"       select the current point, the second mouse button to insert a point\n",
"       after the current point, or the third button to modify the current\n",
"       point.  The second button can be held down to insert points continu-\n",
"       ously.  In movie mode, the first button selects the current point, and\n",
"       the second or third buttons together with the Ctrl key start movies\n",
"       forward or backward through the data, in a direction perpendicular to\n",
"       the slice.\n",
"\n",
"\n",
"       Hot Keys in the Slicer\n",
"              -/=  -  Decrease/Increase zoom\n",
"              _/+  -  Decrease/Increase displayed image thickness\n",
"              9/0  -  Decrease/Increase displayed model thickness\n",
"              s    -  Show slice in ZaP and XYZ windows\n",
"              k    -  Toggle centering mode between new mode and classic mode\n",
"              S    -  Snapshot to file with primary non-TIFF format\n",
"              Ctrl-S - Snapshot to TIFF file\n",
"              Ctrl-Shift-S - Snapshot to second type of non-TIFF file\n",
"              W    -  Set angles so that current contour is flat in the slice\n",
"              x/y/z  - Align current and previous model points along X, Y or Z\n",
"                          axis\n",
"              X/Y/Z  - Align first and last points of current contour along\n",
"                          X, Y or Z axis\n",
"\n",
"              Numeric Keypad (no Shift)\n",
"              4/6  -  (Left/Right) Decrease/Increase last adjusted angle by 0.1\n",
"              2/8  -  (Down/Up) Decrease/Increase last adjusted angle by 0.5\n",
"              1/3  -  (End/PgDn) Decrease/Increase last adjusted angle by 15.0\n",
"              0    -  (Insert) Set last adjusted angle to 0\n",
"\n",
"              Numeric Keypad (with Shift key down or Sh button on)\n",
"              4/6  -  (Left/Right) Rotate volume around current Y axis\n",
"              2/8  -  (Down/Up) Rotate volume around current Y axis\n",
"              9/3  -  (PgUp/PgDn) Rotate in plane of slice\n",
"\n",
"              </>  -  Decrease/Increase step size for these rotations (,/. also\n",
"                         do this if Sh is on)\n",
"\n",
"\n",
"XYZ Window\n",
"       The XYZ window displays three slices: through an XY plane in the lower\n",
"       left, through a YZ plane in the lower right, and through an XZ plane in\n",
"       the upper left.  The intersection of the model with these planes will\n",
"       be drawn.  Marker lines and crosses indicate the position of the cur-\n",
"       rent point and of the slices within the volume.  Like the ZaP window,\n",
"       the XYZ window can be resized, and the images can be zoomed with hot\n",
"       keys and panned within their view boxes with the left mouse button.\n",
"       Basic modeling capability is available in the XY plane.  One can movie\n",
"       through one or more of the planes simultaneously.  In addition, the\n",
"       marker lines have handles that can be dragged with the mouse to riffle\n",
"       through images in a plane.  Each marker line’s color matches the color\n",
"       of the border around the plane that is controlled by its handle.\n",
"\n",
"\n",
"       Hot Keys in the XYZ Window\n",
"              -/=  -  Decrease/Increase zoom\n",
"              r    -  Toggle between low and high resolution display modes\n",
"              P    -  Toggle on or off showing a projection of the current\n",
"                        contour in the XZ and YZ planes, and of a current\n",
"                        contour that is open in the XY plane\n",
"              S    -  Snapshot to file with current non-TIFF format\n",
"              Ctrl-S - Snapshot to TIFF file\n",
"              Ctrl-Shift-S - Snapshot to second type of non-TIFF file\n",
"\n",
"       Mouse Buttons in the XYZ Window\n",
"               Actions in Movie Mode:\n",
"                  Clicking the first mouse button will select the current\n",
"              point.  In one of the three image planes, this will generally\n",
"              change the coordinates displayed in the other two planes.\n",
"              Clicking in the horizontal gutter region occupied by the X\n",
"              marker line will change the current X coordinate and the plane\n",
"              displayed in the YZ panel.  Clicking in the vertical gutter\n",
"              region will select a new Y coordinate and XZ plane.  Clicking in\n",
"              the upper right region will select a new Z coordinate and XY\n",
"              plane, as indicated by the crossed marker lines.\n",
"                  Dragging with the first mouse button depressed will either\n",
"              pan the image within the window or riffle through one of the\n",
"              planes, depending on where the mouse is when the button is first\n",
"              pressed.  If it is in one of the image panels, dragging will pan\n",
"              the image (provided it is larger than the window.)  In the hori-\n",
"              zontal or vertical gutter regions, dragging will riffle through\n",
"              YZ or XZ planes, respectively.  In the upper right region, drag-\n",
"              ging will change the XY plane; this is most effective if one\n",
"              grabs the handle there and moves diagonally.\n",
"                  Clicking the second mouse button in one of the image panels\n",
"              will start or stop a movie in the forward direction in that\n",
"              panel.\n",
"                  Clicking the third mouse button in one of the image panels\n",
"              will start or stop a movie in the backward direction in that\n",
"              panel.\n",
"\n",
"               Actions in Model Mode:\n",
"                  Clicking the first mouse button near a model point in the XY\n",
"              plane will select that point as the current model point.  Click-\n",
"              ing anywhere else will cause the same result as in movie mode.\n",
"                  Dragging with the first mouse button is the same as in movie\n",
"              mode.\n",
"                  Clicking with the second mouse button in the XY plane will\n",
"              add a point to the current contour and has no effect elsewhere.\n",
"                  Dragging with the second mouse button depressed will add a\n",
"              series of points to the current contour.\n",
"                  Clicking with the right mouse button in the XY plane will\n",
"              move the current model point to that location.\n",
"\n",
"\n",
"Tumbler Window\n",
"       The Tumbler Window is opened by selecting the Tumbler item from the\n",
"       Image menu.  A projection of a volume around the current point will be\n",
"       shown in the Tumbler Window.  Various toolbar controls allow you to\n",
"       change the size of the volume and the zoom, lock the position, select a\n",
"       high-resolution display, or set thresholds for truncating pixels as\n",
"       black or white.  The image display in the model view window, accessed\n",
"       from the Edit-Image menu entry of that window, will give a faster and\n",
"       better display for most purposes, but the tumbler display will be a\n",
"       more accurate projection, especially in high-resolution mode.  The hot\n",
"       keys in the tumbler window are:\n",
"       Keypad up and down arrow keys tumble the volume around the X axis.\n",
"       Keypad left and right arrow keys tumble the volume around the Y axis.\n",
"       Keypad PgUp and PgDn keys tumble the volume around the Z axis.\n",
"       -/=     Decrease/Increase the zoom\n",
"       F5/F6   Decrease/Increase black threshold level\n",
"       F7/F8   Decrease/Increase white threshold level\n",
"       b       Toggle the bounding box on or off\n",
"       ,/.     Decrease/Increase angular increment when rotating\n",
"       S    -  Snapshot to file with current non-TIFF format\n",
"       Ctrl-S - Snapshot to TIFF file\n",
"\n",
"Graph Window\n",
"       This window graphs image intensity along the image X-axis, Y-axis, Z-\n",
"       axis or along the current contour.  A histogram of image intensities\n",
"       can also be graphed.  The type of graph can be chosen by using the\n",
"       option menu located in the toolbar.  The [+] and [-] buttons in the\n",
"       toolbar adjust the zoom in the drawing area.  The [LOCK] button stops\n",
"       the window from tracking the current point.  The [RESOLUTION] button\n",
"       toggles between taking data from the image buffer and taking data from\n",
"       the file.  The Width spin button lets you select the number of pixels\n",
"       of width across which data are averaged perpendicular to the line being\n",
"       graphed.\n",
"\n",
"Locator Window\n",
"       This window displays a zoomed-down view of the entire image area and a\n",
"       red rectangle representing the subarea displayed in the most recently\n",
"       active ZaP window.  If the rubber band is on in that ZaP window, the\n",
"       rectangle shows the position of the rubber band instead.  The window\n",
"       can eb made smaller or larger to change the zoom of the display.  You\n",
"       can also control the area displayed in the ZaP window, and/or the posi-\n",
"       tion of the rubber band, in two ways.  You can click with the first\n",
"       mouse button to select a new center.  You can press and hold the second\n",
"       mouse button, and as you move the mouse, the ZaP center position will\n",
"       be moved by the corresponding amount.\n",
"\n",
"Pixel View Window\n",
"       The Pixel View window displays a 7x7 grid of buttons showing values\n",
"       from the image file around the current point.  The pixel positions in X\n",
"       and Y are shown as labels on the left and bottom edges of the window.\n",
"       If you click a button, that coordinate will become the current point\n",
"       and the value shown there will move to the central button.  The buttons\n",
"       with the highest and lowest values are shown with red and blue back-\n",
"       grounds, respectively.  At the top of the window is a continuous read-\n",
"       out of the cursor position and image value at that position whenever\n",
"       the mouse is in a ZaP, Slicer, or XYZ window.  This readout shows the\n",
"       byte value from program memory unless you turn on a checkbox to have it\n",
"       show values from the image file.\n",
"\n",
"\n",
"Model View Window\n",
"       This window shows the model in 3D, continually updated as the model is\n",
"       edited.  The window behaves the same as when it is started with the\n",
"       3dmodv command, except that some menu items are unavailable.  See the\n",
"       manual page for 3dmodv(1).\n",
"\n",
"\n",
"SURFACES, OPEN CONTOURS, LABELS, AND POINT SIZES\n",
"       Several features can be controlled from the Surf/Cont/Point window.\n",
"       One is the surface, which is an optional level of organization between\n",
"       contours and objects.  With surfaces, one can keep track of, navigate\n",
"       between, and manipulate groups of contours without having to use a sep-\n",
"       arate object for each group.  Each contour in an object has a surface\n",
"       number, which is 0 if surfaces are never employed.  To start a new sur-\n",
"       face, use N or the New Surf button in the Surface section of the window\n",
"       to obtain a new, empty contour with the new surface number.  There-\n",
"       after, each new contour will have the same surface number as the previ-\n",
"       ous contour being modeled, until a new surface is started again.  The\n",
"       Surface section of this window has controls for moving within and\n",
"       between surfaces and for visualizing contours of the current surface,\n",
"       using the Ghost button.  The Contour Move window has options for moving\n",
"       contours from one surface to another or for moving an entire surface to\n",
"       a new object.\n",
"\n",
"       The Contour section of the Surf/Cont/Point window has radio buttons for\n",
"       defining individual contours as open in an object defined as having\n",
"       closed contours.  This is useful for displaying a partially cut edge of\n",
"       an object.  See imodmesh(1) for more details.\n",
"\n",
"       This part of the window also has a text box for displaying and editing\n",
"       the time index of the current contour.  If you have loaded multiple\n",
"       image files and want to model contours at specific times (i.e., dis-\n",
"       played only on images from a specific file), you must first activate\n",
"       time editing with a button in the Edit-Object-Type window.  Once this\n",
"       feature is selected, newly created contours will be assigned to the\n",
"       currently displayed time.\n",
"\n",
"       The Point section of the Surf/Cont/Point window has a text box and\n",
"       slider for assigning a size value to an individual point.  Any point\n",
"       with an individual size will be displayed as a sphere, just like points\n",
"       in scattered point contours.\n",
"\n",
"       The  window also has text boxes in which one can enter labels for indi-\n",
"       vidual contours and points.\n",
"\n",
"       The Section Ghost section of the Surf/Cont/Point window has controls to\n",
"       enable the display of ghost contours from adjacent sections, which is\n",
"       also toggled by the g hot key.  Ghosts can be displayed from above or\n",
"       below the current section, and from variable numbers of sections away.\n",
"       There are also options to control whether the ghost contours are\n",
"       lighter or darker in color, and to show ghosts from all objects rather\n",
"       than just from the current object.\n",
"\n",
"\n",
"AUTOSAVE AND BACKUP FILES\n",
"       The program will back up the current model to the file\n",
"       model_file_name#autosave# every few minutes.  If no model file has been\n",
"       saved yet, the name of the autosave file is just #autosave#.  The\n",
"       autosave file is eliminated whenever the model is saved, and when the\n",
"       program exits normally.  The first time that you save a model file, the\n",
"       existing model file will be renamed to model_file_name~, and any exist-\n",
"       ing file by that name will be deleted.  This backup file will not be\n",
"       overwritten each time that you save thereafter, so that it will pre-\n",
"       serve the state of the model when 3dmod was started.\n",
"\n",
"       Automatic saves can be controlled or disabled by using the 3dmod Pref-\n",
"       erences dialog or by setting environment variables (obsolete).  The\n",
"       Preferences dialog has a checkbox to enable autosaving, a spin box to\n",
"       set the number of minutes between automatic saves, and a text box to\n",
"       specify a directory in which the autosave file will be written.  Thus,\n",
"       one can specify a directory on a local disk (e.g., /usr/tmp) and avoid\n",
"       the long delays required to write a large model to a disk over the net-\n",
"       work.  Formerly, these features were controlled by the IMOD_AUTOSAVE\n",
"       environment variable, which specified the minutes between autosaves or\n",
"       0 to disable autosaving, and by the IMOD_AUTOSAVE_DIR variable.  If\n",
"       these variables are defined, the Preferences dialog will initially show\n",
"       their values; but once the user has changed these settings through the\n",
"       Preferences dialog, the environment variables will be ignored.\n",
"\n",
"\n",
"IMAGE LIST FILES\n",
"       An image list file can be entered instead of an image file on the 3dmod\n",
"       command line.  This ASCII file can specify a series of image files that\n",
"       represent different times, so that one can step through time as well as\n",
"       X, Y, and Z.  An image list file can also be used to specify both an\n",
"       image file and a piece list with a single file.  In either case, the\n",
"       cache is turned on.  Lines beginning with # are treated as comments and\n",
"       ignored.\n",
"\n",
"       The format of the file is:\n",
"\n",
"       IMOD image list               [must be the first line of the file]\n",
"       VERSION 0   or   VERSION 1    [must appear somewhere in file]\n",
"\n",
"       To specify a series of files at different times, include a series of\n",
"       entries of the form (the second entries for time labels are optional,\n",
"       and default label if it is omitted is the image filename):\n",
"\n",
"       IMAGE image_filename\n",
"       TIME time_label               [The label can be any desired text]\n",
"\n",
"       If the first file might not exist, precede the list of images with a\n",
"       line:\n",
"       SIZE nx,ny,nz                 [nx,ny,nz are the image dimensions\n",
"                                      to be assumed for the first file]\n",
"\n",
"       To specify an image file and piece coordinates, include the following:\n",
"\n",
"       IMAGE image_filename\n",
"       XYZ                           [on a line by itself]\n",
"       x  y  z                       [piece coordinates, one line per section]\n",
"        . . .\n",
"\n",
"       To load files that are located in another directory, include the fol-\n",
"       lowing before the IMAGE lines for the respective files.  This entry can\n",
"       occur more than once.\n",
"       IMGDIR path_to_image_directory\n",
"\n",
"\n",
"PLUGIN ENVIRONMENT\n",
"       3dmod will load special plugin libraries that are in the directory\n",
"       pointed to by the IMOD_PLUGIN_DIR environment variable.  The directo-\n",
"       ries /usr/IMOD/plugins, /usr/local/IMOD/plugins, and /usr/free-\n",
"       ware/lib/imodplugs/ are loaded by default if they exist.  Plugins work\n",
"       in all supported operating systems.  To write your own plugins, the\n",
"       easiest way would be to get the IMOD source code and use the old ver-\n",
"       sion of the Bead Fixer plugin as an example.  See http://bio3d.col-\n",
"       orado.edu/imod/source.html.\n",
"\n",
"\n",
"AUTHORS\n",
"       Jim Kremer\n",
"       David Mastronarde\n",
"\n",
"SEE ALSO\n",
"       Viewing programs  3dmodv(1), midas(1)\n",
"       Model conversion  imodinfo(1), imod2vrml(1)\n",
"       Image conversion  tif2mrc(1), raw2mrc(1), dm2mrc(1), mrc2tif(1)\n",
"\n",
"BUGS\n",
"       Please email all bug reports to mast at colorado dot edu.\n",
"\n",
"\n",
"\n",
"BL3DEMC                             3.10.15                           3dmod(1)\n",
"",
 NULL};
