.nh
.na
.TH 3dmodv 1 3.0.7 BL3DEMC
.SH NAME
3dmodv \- View an Imod model.
.SH SYNOPSIS
3dmodv [options] <model files...>
.SH DESCRIPTION
3dmodv is used to view models drawn with 3dmod.  The main 3dmodv window is
the same as the "Model View" window available in the program 3dmod.  When
run from the command line, 3dmodv can read and save models through the File 
menu.  Multiple models can be loaded and manipulated independently, either by 
putting their names on the command line or by loading them one after another
through the File menu.
The command line options and hot keys are given below.  See the Help menu of
the Model View window for information on mouse actions and menu entries; see
the help pages for individual dialogs for full details on the controls in each
dialog.
.SS Options
3dmodv can accept standard Qt options in addition to
the options described below.
.TP
.B -f
Open model view window to maximum size supported by graphics.
.TP
.B -b <color>
Select the color that 3dmodv uses as the rendering background.
The color is a standard Qt color name.
.TP
.B -s <width,height>
Set the initial size of the model view area of the window.  This is useful if
you want to take snapshots at a specific size.
.TP
.B -E <keys>
Open the windows specified by the key letters, which are the same as the
hot keys for opening windows (m, O, C, L, B, M, V, I, U), plus D for
depth cue and S for stereo.
.TP
.B -L
Listen for messages on standard input instead of the clipboard, and do not 
put 3dmodv in the background automatically.
.TP
.B -D
Run in debug mode with diagnostic output and without becoming a background
process.
.P
.SS Hot key shortcuts for 3dmodv.
.TP
.B - =
Zoom out/in with small steps.
.TP
.B _ +
Zoom out/in with large steps.
.TP
.B 1 2
Step back/forward in time.
.TP
.B 9 0 
Step to previous/next model.
.TP
.B 8
Toggle displaying all models or one model.
.TP
.B Arrow Keys, Page Up, Page Down
Translate model, or current clipping plane if Ctrl is held down, in X, Y, and
Z.
.TP
.B Numeric Keypad
Rotate model, or current clipping plane if Ctrl key is held down:
   The 4 and 6 keys rotate about the Y view axis. 
   The 8 and 2 keys rotate about the X view axis.
   The 9 and 3 keys rotate about the Z view axis.  
   The Enter Key toggles between movie and incremental motion.
.TP
.B t b l r f b
Show top, bottom, left, right, front, or back face of model.
.TP
.B , .
Decrease or increase the rotation increment and movie speed.

.TP
.B Escape, q
Quit 3dmodv or close model view window.
.TP
.B B
Open dialog to set background color.
.TP
.B C
Open the Control editing dialog.
.TP
.B I
Open the Image overlay control dialog (only available when program is run as
3dmod).
.TP
.B U
Open the Isosurface view dialog (only available when program is run as
3dmod).
.TP
.B L
Open Object List dialog.
.TP
.B m
Open Movie control dialog.
.TP
.B M
Open Model editing dialog.
.TP
.B O
Open the Object editing dialog.
.TP
.B V
Open the View editing dialog.
.TP
.B Ctrl-S
Snapshot image to TIFF file.
.TP
.B Shift-S
Snapshot image to file with primary non-TIFF format (selected by setting
preferences in 3dmod; default is JPEG or PNG).
.TP
.B Ctrl-Shift-S
Snapshot image to file with second non-TIFF format.  This will be PNG if the
primary format is not PNG, or JPEG if the primary one is PNG.
.TP
.B z
Toggle the display of Z image planes in the model view (only available when
program is run as 3dmod).
.TP
.B s
Toggle Stereo On/Off.
.TP
.B [ ]
Adjust parallax for stereo viewing.
.TP
.B a
Invert the parallax angle.
.TP
.B d
Toggle single/double buffering.
.TP
.B R
Toggle low resolution drawing of mesh and spheres.
.TP
.B p
Toggle drawing of a sphere at the current point position (only available when
program is run as 3dmod).
.TP
.B g G
Increase or decrease the quality (and time) of sphere drawing.
.TP
.B c
Print clip plane information to standard output.
.TP
.B o
Print model transformations to standard output.
.TP
.B D
Delete the currently selected contour(s) if it was (or they were) selected
with the third mouse button or with Ctrl-A.  Multiple contours can be
selected by holding the Ctrl key down while clicking with the third mouse
button.
.TP
.B Ctrl-A
Select all contours in the current object that are being drawn; this excludes
ones that are being clipped or turned off.
.TP
.B Ctrl-Z
Undo the last change to the model.  The list of actions that can be undone
applies only to the current model and is cleared when switching between models.
.TP
.B Ctrl-Y
Redo a change that was undone.
.P
Use the online help for more information on using 3dmodv.
.SH AUTHORS
.nf
Jim Kremer
David Mastronarde
Quanren Xiong
.fi
.SH SEE ALSO
3dmod(1), imodinfo(1)
.SH BUGS
Please email all bug reports to mast@colorado.edu.
